Skip to content

Deletes a payment method

Request

DELETE {{baseURL}}/v2/payment-methods/{{paymentMethodId}}

This endpoint deletes a payment method.

See Also:
To list payment methods, see GET /v2/payment-methods.
To retrieve a payment method by ID, see GET /v2/payment-methods/{{paymentMethodId}}.
To update a payment method, see PATCH /v2/payment-methods/{{paymentMethodId}}.
To set a payment method as the default, see POST /v2/payment-methods/{{paymentMethodId}}/set-default.

Security
Bearer
Path
paymentMethodIdstring, (uuid)required

Specifies the payment method identifier to delete.

Example:a6ae6a86-6831-4422-a646-d9442a1b0ec8
curl -i -X DELETE \
  https://sandbox.api.flute.com/v2/payment-methods/a6ae6a86-6831-4422-a646-d9442a1b0ec8 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK. The payment method was successfully deleted.

Response
No content